Page MenuHomePhabricator

Some wikis have block enabled but don't assign the abusefilter-modify-restricted right to anyone
Closed, ResolvedPublic

Description

That's it. In those wikis, no one can effectively enable block for any abusefilter. I'm filing this task as a reminder, since I still have to determine which exact wikis are affected and probably ask on their AF requests page who should have this right.

Event Timeline

Daimona created this task.Jul 19 2018, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2018, 5:31 PM

Affected:

  1. enwikinews
  2. itwikinews

I also see that when wmfRealm is 'labs', the action 'block' is enabled but the right is not assigned. However, I actually don't know which sites are affected by this. I'll ask in the appropriate pages of the 2 wikinews above, while waiting for someone who knows what to do with labs.

Daimona moved this task from Backlog to Waiting on the User-Daimona board.

I think I had a task filed somewhere for this very issue (cannot find it right now; will keep searching).

Daimona changed the task status from Open to Stalled.Nov 26 2018, 1:16 PM

@MarcoAurelio Thanks for pointing it out. Your comment reminded me that I actually submitted a patch with such change, plus some other config rearrangements (https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/AbuseFilter/+/468696/) with the goal of making sysadmins' life easier. As for the state of this task: my message on enwikinews got no answer. The one on itwikinews got one saying 'sysop' is fine, but nothing else. Probably, we should just wait for the other patch to be merged, so that this problem won't be a thing anymore, in any existing wiki. I also believe that assigning the right to sysops is the best default option, as it allows people to indirectly take "sysop actions". In case a wiki sysadmin/community wants it assigned to another user group (or not assigned at all), they just have to remove it, like for any other setting for which we provide a default. Which IMHO is way better than having to remember to assign it to someone.

Change 468696 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/468696

Daimona moved this task from Waiting to Under review on the User-Daimona board.Jan 25 2019, 2:41 PM
Daimona changed the task status from Stalled to Open.Jan 25 2019, 2:43 PM

Not stalled but waiting for review of the patch above.

Daimona claimed this task.Mar 25 2019, 7:27 PM

Change 468696 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/468696

Change 530349 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@wmf/1.34.0-wmf.17] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/530349

Change 530349 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@wmf/1.34.0-wmf.17] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/530349

Mentioned in SAL (#wikimedia-operations) [2019-08-15T12:14:47Z] <urbanecm@deploy1001> Synchronized wmf-config/: SWAT: 7e95f6d: Update AbuseFilter config to keep the status quo (T191740, T200032, T226987) (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2019-08-15T12:16:18Z] <urbanecm@deploy1001> Synchronized php-1.34.0-wmf.17/extensions/AbuseFilter/extension.json: SWAT: rEABFe9422c5c92cb: Rearrange config to provide better experience (T191740, T200032, T226987) (duration: 00m 47s)

Daimona closed this task as Resolved.Aug 15 2019, 12:28 PM
Daimona removed a project: Patch-For-Review.

Change 468696 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Rearrange config to provide better experience

https://gerrit.wikimedia.org/r/468696